﻿using System;
using EPiServer;
using EPiServer.Configuration;
using EPiServer.Personalization;
using EPiServer.Templates.Advanced;

namespace Flowcom.ValidateText.util.Editor.tinymce.plugins.validatetext
{
    public partial class Frame : TemplatePage
    {
        public string Result;

        protected void Page_Load(object sender, EventArgs e)
        {
            string password = null;
            string username = null;
            if (!IsPostBack)
            {
                username = EPiServerProfile.Current["ValidateTextUserName"] as string;
                password = EPiServerProfile.Current["ValidateTextPassword"] as string;
                if (string.IsNullOrEmpty(username) || string.IsNullOrEmpty(password))
                {
                    var settings = new ValidateTextPluginSettings();
                    settings.LoadConfigurationSettings();

                    username = settings.ValidateTextUserName;
                    password = settings.ValidateTextPassword;
                }
                if (string.IsNullOrEmpty(username) || string.IsNullOrEmpty(password))
                {
                    MySettingsLink.NavigateUrl = Settings.Instance.UIUrl + "edit/mysettings.aspx";
                    MySettingsLink.Text = Translate("/shell/cms/menu/mysettings");
                    ShowLoginInformation.Visible = true;
                    RedirectInformation.Visible = false;
                    return;
                }
            }
            SubmitForm.Visible = true;

            if (username != null) UserName.Value = username;
            if (password != null) UserPassword.Value = password;

            ApplicationName.Value = Settings.Instance.Version.Substring(0, Settings.Instance.Version.IndexOf(' ')).Trim();
            ApplicationVersion.Value = Settings.Instance.Version.Substring(Settings.Instance.Version.LastIndexOf(' ')).Trim();
        }
    }
}
